Access keys and skip links

Technical requirements

Suggested technical requirements - Learning Place applications

The technical requirements (PDF, 350 KB) can also be downloaded in PDF version.

Please use the software recommended below so your experience in the Learning Place is trouble free.
Recommended browsers
  • Internet Explorer 11+
  • Chrome 36+
  • Edge 20+
  • Firefox 30
  • Safari 6+

eLearn users: Visit the Blackboard Browser Checker to check your browser is supported in Blackboard Learn with Original experience.

Screen readers

For the best experience with screen readers see the recommendations below:

  • Firefox and JAWS on Windows
  • Safari and VoiceOver on MacOS
Java and other browser plugins
  • Enable Java
    JRE Versions 7 and 8 are the recommended versions for features that depend on Java. JRE Version 6 may work but users may experience unexpected behaviour.
  • Javascript supported
  • Cookies enabled
  • Pop-up blockers disabled
Browser plugins and applets

Some tools and resources throughout the Learning Place utilise the following browser plugins/applets.

  • Latest Adobe Flash Player
  • Microsoft SilverLight (for MediaSite video streaming)
Firewalls, antivirus, antispam and anti-malware programs may affect connectivity to Education Queensland applications and systems.
Last updated:
12 January 2018